=== debian/changelog ===
firefox-kwallet5 (1.0-2) unstable; urgency=medium

  * Upstream renamed package kde5-wallet -> kwallet5
    - Updated Homepage link. (Closes: 814021)
    - Updated watch file.
  * use xpi-pack to make package reproducible
  * Fixes vcs-field-uses-insecure-uri
  * Bumped Standards Version 
    - No changes required

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 11 Mar 2016 01:31:23 +0100

firefox-kwallet5 (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #801830)

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 14 Oct 2015 17:32:01 +0200
