=== debian/control ===
Source: firefox-kwallet5
Section: web
Priority: optional
Maintainer: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: debhelper (>= 9),
               cmake,
               extra-cmake-modules,
               libkf5wallet-dev (>= 5.3),
               mozilla-devscripts
Standards-Version: 3.9.7
Homepage: http://www.guillermomolina.com.ar/en/projects/63-firefox-kwallet5
Vcs-Git: https://anonscm.debian.org/git/collab-maint/firefox-kwallet5.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/firefox-kwallet5.git

Package: xul-ext-kwallet5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: kwallet integration for firefox
 Iceweasel and Icedove stores its passwords internally, optionally
 protected by a master password. KDE has its own password manager
 called KWallet.
 .
 KWallet stores every password in the KDE system, and protects access
 by a master password. With this extension you are able to use KWallet
 instead of the default Iceweasel/Icedove password manager. It allows
 tighter integration of Iceweasel/Icedove inside KDE.
