=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

VERSION = 1
FIREFOX_VERSION = 41
XPI_TARGET = firefox-kwallet5-$(VERSION).xpi
XPI_DIR = xpi
BUILD_DIR = obj-$(DEB_HOST_GNU_TYPE)
LIBNAME = libkwallet5.so
MULTIARCHPATH = usr/lib/${DEB_TARGET_MULTIARCH}/xul-ext/kwallet5/

%:
	dh $@ --with xul-ext --parallel

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(XPI_TARGET)

override_dh_auto_build:
	dh_auto_build
	xpi-pack ${XPI_DIR} $(XPI_TARGET)

override_dh_auto_install:
	dh_auto_install
	install-xpi $(XPI_TARGET)
	mkdir -p debian/xul-ext-kwallet5/${MULTIARCHPATH}
	sed -i 's/<em:version>.*<\/em:version>/<em:version>$(VERSION)<\/em:version>/' debian/xul-ext-kwallet5/usr/lib/xul-ext/kwallet5/install.rdf
	sed -i 's/<em:maxVersion>.*<\/em:maxVersion>/<em:maxVersion>$(FIREFOX_VERSION)\.\*<\/em:maxVersion>/' debian/xul-ext-kwallet5/usr/lib/xul-ext/kwallet5/install.rdf
	
	sed -i 's#^\(.*libkde5wallet \).*/[^/]\+.so \(abi.*\)$$#\1/${MULTIARCHPATH}${LIBNAME} \2#' debian/xul-ext-kwallet5/usr/lib/xul-ext/kwallet5/chrome.manifest
	install $(BUILD_DIR)/library/libkde5wallet.so debian/xul-ext-kwallet5/${MULTIARCHPATH}${LIBNAME}
	
	rm debian/xul-ext-kwallet5/usr/lib/xul-ext/kwallet5/icon.png
