=== debian/watch ===
version=3

opts="pgpmode=none,uversionmangle=s/-/./,filenamemangle=s/^.*version-(.*)-source-files$/firefox-kde5-kwallet.\1.tar.gz/g" \
http://www.guillermomolina.com.ar/en/files/category/3-firefox-kwallet5 /en/files/category/3-firefox-kde5-wallet\?download=33:firefox-kde5-kwallet-extension-version-([\d\-]+)-source-files
