=== debian/changelog ===
firefox-kwallet5 (1.3-1ubuntu2) artful; urgency=medium

  * No-change rebuild (LP: #1720422)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 08 Oct 2017 17:37:49 -0400

firefox-kwallet5 (1.3-1ubuntu1) artful; urgency=medium

  * Build-Depend on firefox | thunderbird to not build this package
    on architectures will it won't be installable (LP: #1720422)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 06 Oct 2017 11:10:01 -0400

firefox-kwallet5 (1.3-1) unstable; urgency=medium

  * New upstream version 1.3
  * Update watch file to match new files
  * Update remove-Makefile.patch

 -- Sandro Knauß <hefee@debian.org>  Fri, 30 Jun 2017 16:57:13 +0200

firefox-kwallet5 (1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to match newer versions of the plugin
  * Update upstream homepage in copyright file
  * Bump Standards-Version to 4.0.0:
    - Get rid of copy of MPL-1.1 (it is now common-licenses)
  * Update remove-Makefile.patch
  * Bump Compat level:
    - Don't use explicit --parallel dh call anymore
  * Change my own mailaddress to hefee@debian.org.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Jun 2017 13:58:11 +0200
