=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: firefox-kwallet5
 Section: web
 Priority: optional
-Maintainer: Sandro Knauß <bugs@sandroknauss.de>
-Build-Depends: debhelper (>= 9),
+Maintainer: Sandro Knauß <hefee@debian.org>
+Build-Depends: debhelper (>= 10),
                cmake,
                extra-cmake-modules,
+               firefox | thunderbird,
                libkf5wallet-dev (>= 5.3),
                mozilla-devscripts
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: http://www.guillermomolina.com.ar/en/projects/63-firefox-kwallet5
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/firefox-kwallet5.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/firefox-kwallet5.git
