=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
-VERSION = 1
-FIREFOX_VERSION = 41
+VERSION = 1.3
+FIREFOX_VERSION = 49
 XPI_TARGET = firefox-kwallet5-$(VERSION).xpi
 XPI_DIR = xpi
 BUILD_DIR = obj-$(DEB_HOST_GNU_TYPE)
@@ -14,7 +14,7 @@
 MULTIARCHPATH = usr/lib/${DEB_TARGET_MULTIARCH}/xul-ext/kwallet5/
 
 %:
-	dh $@ --with xul-ext --parallel
+	dh $@ --with xul-ext
 
 override_dh_auto_clean:
 	dh_auto_clean
